REM +======================================================================
REM | GetSubtext.bat Retrieves the LATEST Subtext source code from the CVS 
REM | repository at sourceforge.net.  Afterwards, it creates an IIS 
REM | Virtual directory named Subtext.Web pointing to the correct location.
REM | You just need to build it.
REM |
REM | ASSUMPTION: 	Assumes you have Tortoise CVS installed in the 
REM | 				Program Files directory.  If not, you need to 
REM | 				change the line that runs the CVS command.
REM +======================================================================

REM Set The Current Directory to the directory this batch file is located in.
cd /d %~dp0

REM Set the CVS ROot to the Subtext CVS Root
SET CVSROOT=:pserver:anonymous@cvs.sourceforge.net:/cvsroot/subtext

REM Run the CVS command.
"%ProgramFiles%\TortoiseCVS\cvs.exe" "-q" "checkout" "-P" "SubtextSystem"

REM Install the IIS Virtual Directory
CD SubtextSystem
CreateSubtextVdir.vbs